%global build_with_python	1
%if %{build_with_python}
%global __python		%{__python3}
%endif
%define url_ver			%(echo %{version} | cut -d. -f1,2)
%global __requires_exclude	python-gi
%global busname			org.gnome.gedit

Summary:	Small but powerful text editor for GNOME
Name:		gedit
Version:	40.1
Release:	%mkrel 1
License:	GPLv2+
Group:		Editors
URL:		https://wiki.gnome.org/Apps/Gedit
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(gio-2.0) >= 2.26.0
BuildRequires:	pkgconfig(gio-unix-2.0) >= 2.25.5
BuildRequires:	pkgconfig(glib-2.0) >= 2.37.5
BuildRequires:	pkgconfig(gnome-doc-utils) >= 0.9.0
BuildRequires:	pkgconfig(gobject-introspection-1.0) >= 0.9.3
BuildRequires:	pkgconfig(gsettings-desktop-schemas)
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.13.3
BuildRequires:	pkgconfig(gtk-doc) >= 1.0
BuildRequires:	pkgconfig(gtksourceview-4) >= 4.0.2
BuildRequires:	pkgconfig(ice)
BuildRequires:	pkgconfig(iso-codes) >= 0.35
BuildRequires:	pkgconfig(libpeas-1.0) >= 1.7.0
BuildRequires:	pkgconfig(libpeas-gtk-1.0) >= 1.7.0
BuildRequires:	pkgconfig(libsoup-2.4)
BuildRequires:	pkgconfig(libxml-2.0) >= 2.5.0
BuildRequires:	pkgconfig(sm) >= 1.0.0
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(vapigen) >= 0.25.1
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(gspell-1)
BuildRequires:	libattr-devel
BuildRequires:	gettext-devel
BuildRequires:	gtk-doc
BuildRequires:	itstool
BuildRequires:	meson
BuildRequires:	yelp-tools
BuildRequires:  sd
BuildRequires:  lib64tepl6-devel

%if %{build_with_python}
BuildRequires:	pkgconfig(pygobject-3.0) >= 2.90.2
BuildRequires:	python3 >= 3.2.3
BuildRequires:	python3-gobject3
Requires:	python3-gobject3
%endif

BuildRequires:	desktop-file-utils


%description
gEdit is a small but powerful text editor designed expressly
for GNOME.

It includes such features as split-screen mode, a plugin
API, which allows gEdit to be extended to support many
features while remaining small at its core, multiple
document editing through the use of a 'tabbed' notebook and
many more functions.

%package devel
Group:		Development/Libraries
Summary:	Headers for writing gEdit plugins
Requires:	%{name} = %{version}-%{release}

%description devel
gEdit is a small but powerful text editor designed expressly
for GNOME.

It includes such features as split-screen mode, a plugin
API, which allows gEdit to be extended to support many
features while remaining small at its core, multiple
document editing through the use of a 'tabbed' notebook and
many more functions.

Install this if you want to build plugins that use gEdit's API.

%prep
%setup -q

%build
%meson -Ddocumentation=false
%meson_build

%install
%meson_install

#cleanup
rm -rf %{buildroot}/var

%find_lang %{name} --with-gnome

desktop-file-install --dir %{buildroot}%{_datadir}/applications \
	%{buildroot}%{_datadir}/applications/%{busname}.desktop

for file in %{buildroot}%{_datadir}/applications/*.desktop; do
	desktop-file-edit "$file"
done

#fix name in menu
sd "Name=Text Editor" "Name=GEdit" %buildroot/%{_datadir}/applications/%{busname}.desktop

%files -f %{name}.lang
%{_bindir}/*
%{_datadir}/gedit/
%{_datadir}/applications/%{busname}.desktop
%{_libdir}/gedit/
%{_datadir}/glib-2.0/schemas/%{busname}.*
%{_datadir}/dbus-1/services/%{busname}.service
%{_datadir}/metainfo
%{_iconsdir}/hicolor/*/*/%{busname}.svg
%{_iconsdir}/hicolor/symbolic/apps/%{busname}-symbolic.svg
%{_mandir}/man1/gedit.1*
%{_datadir}/help
%{_prefix}/lib/python3.6/site-packages/gi/overrides/Gedit.py

%files devel
%{_includedir}/*
%{_libdir}/pkgconfig/*
%{_datadir}/vala/vapi/gedit.deps
%{_datadir}/vala/vapi/gedit.vapi


%changelog
* Fri May 07 2021 tex - 40.1-1pclos2021
- new version

* Fri Apr 02 2021 tex - 40.0-1pclos2021
- new version

* Sat Nov 21 2020 tex - 3.38.1-1pclos2020
- new version

* Sun Sep 13 2020 tex - 3.38.0-1pclos2020
- new version

* Sun Apr 26 2020 tex - 3.36.2-1pclos2020
- new version

* Fri Mar 06 2020 tex - 3.36.0-1pclos2020
- new version

* Thu Nov 21 2019 tex - 3.34.1-1pclos2019
- new version

* Mon Sep 09 2019 tex - 3.34.0-1pclos2019
- new version 3.34.0
